name: assignments
type: object
meta:
    label: { de: "Verknüpfung", en: "Assignment" }
subFields:
    - name: pages
      type: string[]
      meta:
          helperText:
              de: "Verknüpft den Artikel mit beliebigen Seiten."
              en: "Links the article to any page."
          widget: chipArray
          label:
              de: Verknüpfung zu Seiten
              en: Assignment to pages
          defaultValue: []
          choices:
              endpoint: "content"
              mapping:
                  id: "path"
                  name: "path"
              params:
                  sort: "path"
    - name: articles
      type: string[]
      meta:
          helperText:
              de: "Verknüpft den Artikel mit beliebigen Artikeln."
              en: "Links the article to any articles."
          widget: chipArray
          label:
              de: Verknüpfung zu Artikeln
              en: Assignment to articles
          defaultValue: []
          choices:
              endpoint: "articles"
              mapping:
                  id: "id"
                  name: "title"
              params:
                  sort: "title"
    - name: tags
      type: string[]
      meta:
          helperText:
              de: "Über die Zuweisung von Schlagworten, können Artikel noch einmal genauer kategorisiert werden."
              en: "Articles can be categorized more precisely by assigning keywords."
          widget: chipArray
          label:
              de: Tags / Schlagworte / Labels
              en: Tags
          addAllowed: true
          defaultValue: []
          choices:
              endpoint: "tags"
              mapping:
                  id: "name"
                  name: "name"
              params:
                  sort: "name"
